﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Run run1 = new Run(" Text to precede the button... ");
            Run run2 = new Run(" Text to follow the button... ");

            Button button = new Button();

            button.Content = "Click me!";

            InlineUIContainer inlineUIContainer = new InlineUIContainer();

            inlineUIContainer.BaselineAlignment = BaselineAlignment.Bottom;
            inlineUIContainer.Child             = button;

            Paragraph paragraph = new Paragraph();

            paragraph.Inlines.Add(run1);
            paragraph.Inlines.Add(inlineUIContainer);
            paragraph.Inlines.Add(run2);

            FlowDocument flowDocument = new FlowDocument();

            flowDocument.Blocks.Add(paragraph);

            this.flowDocumentReader.Document = flowDocument;
        }

        #endregion
    }
}